跳到主要内容

指数成分和权重

数据集标识:index.constituents;证券对象标识示例:000001.SZ

指数成分证券、权重及其生效日期。

接口​

用途方法与路径
查询数据POST /v1/datasets/index.constituents/query
契约与当前发布GET /v1/datasets/index.constituents
准备批量快照POST /v1/datasets/index.constituents/preparations

请求参数​

可在请求体 where 中作为 field 使用的筛选参数,名称保持契约原名。

参数名类型必填说明
index_codestring否筛选一个或多个指数代码。
marketstring否市场代码;中文客户端默认 CN。

返回字段​

列名保持契约原名,可直接用于 select、where 与结果行。

字段名中文名称类型可空说明
index_code指数代码string否成分关系对应的指数代码。
constituent_code成分证券代码string否指数成分证券的 BuQuant 代码。
effective_date生效日期date否成分和权重开始生效的日期。
end_date结束日期date是成分关系停止生效的日期。
weight成分权重decimal是标准化为小数比例的指数权重,0.01 表示 1%。
shares指数股数decimal是编制机构声明的指数股数;不适用时为空。
adjustment_factor权重调整因子decimal是编制方法使用的权重或自由流通调整因子。
classification_scheme分类体系string是行业或主题指数所属的分类体系。
classification_level分类层级integer是行业分类体系内的层级。
membership_reason入选原因string是入选原因
popularity_rank热度排名integer是热度排名
popularity_score人气值decimal是人气值
is_current是否当前成分boolean是是否当前成分

字段补充属性​

括号中是契约描述(GET /v1/datasets/{datasetId} 的 fields)里的键名。

字段名属性
weight精度(precision):38;小数位数(scale):18
shares精度(precision):38;小数位数(scale):18
adjustment_factor精度(precision):38;小数位数(scale):18
popularity_score精度(precision):38;小数位数(scale):18

请求示例​

向 https://api.<环境域名>/v1/datasets/index.constituents/query 发送 POST 请求(服务地址的替换方式见快速开始),请求头为 Authorization: Bearer <API_KEY> 与 Content-Type: application/json,请求体如下:

{
"select": [
"index_code",
"constituent_code",
"effective_date",
"end_date",
"weight",
"shares",
"adjustment_factor",
"classification_scheme"
],
"where": [
{
"field": "market",
"op": "eq",
"value": "CN"
},
{
"field": "effective_date",
"op": "gte",
"value": "2026-01-01"
},
{
"field": "effective_date",
"op": "lte",
"value": "2026-08-10"
}
],
"page": {
"limit": 1000,
"cursor": null
}
}

响应示例​

实际结果随数据更新而变化;data 为空数组表示请求范围内没有可返回的记录。

{
"datasetId": "index.constituents",
"fields": [
"index_code",
"constituent_code",
"effective_date",
"end_date",
"weight",
"shares",
"adjustment_factor",
"classification_scheme"
],
"data": [],
"page": {
"nextCursor": null,
"complete": true
}
}